import React from "react";
import "../style/Header.css";
import "../font-awesome-4.7.0/css/font-awesome.min.css";

export default () => {
  return (
    <div className="header">
      <h3 className="news_app">News App</h3>
      <div className="search">
        <i class="fas fa-search"></i>
        <input type="search" placeholder="Type something to start search" />
      </div>
      <nav className="main-nav hamburger-menu">
        <input id="menu__toggle" type="checkbox" />
        <label className="menu__btn" for="menu__toggle">
          <span></span>
        </label>
        <ul class="menu__box">
          <li class="dropdown">
            <a className="menu__item" href="#">
              Categories
            </a>
            <ul className="categories">
              <li>Sport</li>
              <li>World</li>
              <li>Covid</li>
              <li>Business</li>
              <li>Politics</li>
              <li>Science</li>
              <li>Religion</li>
              <li>Health</li>
            </ul>
          </li>
          <li>
            <a class="menu__item" href="#">
              <i class="fas fa-bolt"></i>Trending news
            </a>
          </li>
        </ul>
      </nav>
    </div>
  );
};
