import { createStore, applyMiddleware, compose } from "redux";
// import Reducer from "./reducers/Reducer";
import Reducer from "./reducers/Reducer";

import thunk from "redux-thunk";

const composeEnhancers = window.__REDUX_DEVTOOLS_EXTENSION_COMPOSE__ || compose; //composeEnhancers улучшает расширитель enhancer, либо подключаем REDUX_DEVTOOLS в браузере

const enhancer = composeEnhancers(applyMiddleware(thunk)); // applyMiddleware улучшает createStore переданным мидлваром(thunk):

// const store = createStore(Reducer, enhancer); //первый параметр это combineReducers(в него мы "подключаем" все reducers),вторым параметром идет расширитель store (для того что бы дать store дополнительные возможности, такие как applyMiddleware)
const store = createStore(Reducer, enhancer); //первый параметр это combineReducers(в него мы "подключаем" все reducers),вторым параметром идет расширитель store (для того что бы дать store дополнительные возможности, такие как applyMiddleware)

// if(localStorage.authTocken){//используем для того чтобы перейти на основную страницу (треки) с поля регистрация
//     store.dispatch(actionLogIn(localStorage.authTocken))
// }
store.subscribe(() => console.log('subscribe', store.getState()));

export default store;
