import React, { useEffect, useState } from "react";
import { Provider } from "react-redux";

import Header from "./components/Header";
import Footer from "./components/Footer";
import Main from "./components/Main";
import store from "./store";

import "./style/reset.css";
import "./App.css";

function App() {
  return (
    <Provider store={store}>
      <div className="App">
      {/* <div className="wrapper App"> */}
        <Header />
        <Main />
        <Footer />
      </div>
     </Provider>
  );
}

export default App;
